package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.server.entity.Goods;
import org.mapstruct.Builder;
import org.mapstruct.IterableMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 服务信息拷贝接口
 *
 * @author liude
 * @date 2023/7/22
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface GoodsCopier {
    /**
     * 对象拷贝接口实例
     */
    GoodsCopier INSTANCE = Mappers.getMapper(GoodsCopier.class);

    /**
     * 服务信息拷贝
     *
     * @param goods 服务信息
     * @return 商家信息
     */
    @Named("entity2dto")
    GoodsDTO copying(Goods goods);

    /**
     * 服务信息拷贝
     *
     * @param goods 服务信息集合
     * @return 服务信息列表
     */
    @IterableMapping(qualifiedByName = "entity2dto")
    List<GoodsDTO> copying(Collection<Goods> goods);

}
