package com.chelvc.cloud.vehicle.server.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.server.entity.Merchant;
import org.mapstruct.factory.Mappers;

/**
 * 商家信息拷贝接口
 *
 * @author Woody
 * @date 2023/7/20
 */
public interface MerchantCopier {
    /**
     * 对象拷贝接口实例
     */
    MerchantCopier INSTANCE = Mappers.getMapper(MerchantCopier.class);

    /**
     * 商家信息拷贝
     *
     * @param merchant 商家信息
     * @return 商家信息
     */
    MerchantDTO copying(Merchant merchant);

    /**
     * 商家信息拷贝
     *
     * @param merchants 商家信息集合
     * @return 商家信息列表
     */
    List<MerchantDTO> copying(Collection<Merchant> merchants);
}
