package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.FavoriteDTO;
import com.chelvc.cloud.vehicle.api.param.CategoryModifyParam;
import com.chelvc.cloud.vehicle.api.param.FavoriteModifyParam;
import com.chelvc.cloud.vehicle.server.copier.CategoryCopier;
import com.chelvc.cloud.vehicle.server.copier.FavoriteCopier;
import com.chelvc.cloud.vehicle.server.dao.FavoriteMapper;
import com.chelvc.cloud.vehicle.server.dao.MerchantMapper;
import com.chelvc.cloud.vehicle.server.entity.Category;
import com.chelvc.cloud.vehicle.server.entity.Favorite;
import com.chelvc.cloud.vehicle.server.entity.Merchant;
import com.chelvc.cloud.vehicle.server.service.FavoriteService;
import com.chelvc.cloud.vehicle.server.service.MerchantService;
import com.chelvc.framework.database.context.DatabaseContextHolder;
import lombok.NonNull;
import org.springframework.stereotype.Service;

/**
 * 用户收藏业务操作实现
 *
 * @author liude
 * @date 2023/7/20
 */
@Service
public class FavoriteServiceImpl extends ServiceImpl<FavoriteMapper, Favorite> implements FavoriteService,
        com.chelvc.cloud.vehicle.api.service.FavoriteService {

    @Override
    public Long addFavorite(@NonNull FavoriteModifyParam param){
        Favorite favorite = FavoriteCopier.INSTANCE.copying(param);
        this.save(favorite);
        return  favorite.getId();
    }
    @Override
    public void deleteFavorite(@NonNull Long id) {
        Favorite favorite = DatabaseContextHolder.getRequireEntity(this, id, "收藏不存在");
        this.deleteFavorite(id);
    }
    @Override
    public FavoriteDTO getFavorite(@NonNull Long id){
        Favorite favorite = this.getById(id);
        return FavoriteCopier.INSTANCE.copying(favorite);
    }
}
