package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.api.param.GoodsPagingParam;
import com.chelvc.cloud.vehicle.server.copier.GoodsCopier;
import com.chelvc.cloud.vehicle.server.dao.GoodsMapper;
import com.chelvc.cloud.vehicle.server.entity.Goods;
import com.chelvc.cloud.vehicle.server.service.GoodsService;
import com.chelvc.framework.base.model.Pagination;
import com.chelvc.framework.base.util.StringUtils;
import com.chelvc.framework.database.util.PagingUtils;
import lombok.NonNull;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * 商品业务操作实现
 *
 * @author liude
 * @date 2023/7/17
 */
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.GoodsService.class)
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods> implements GoodsService,
        com.chelvc.cloud.vehicle.api.service.GoodsService {

    @Override
    public Pagination<GoodsDTO> getGoodsPaging(@NonNull GoodsPagingParam param) {
        Page<Goods> page = this.lambdaQuery()
                .like(StringUtils.nonEmpty(param.getName()), Goods::getName, param.getName())
                .orderByAsc(Goods::getStatus).page(PagingUtils.convert(param.getPaging()));
        return PagingUtils.convert(page, GoodsCopier.INSTANCE::copying);
    }
    @Override
    public GoodsDTO getGoods(@NonNull Long id){
        return GoodsCopier.INSTANCE.copying(this.getById(id));
    }
}
